signature KCikcakk =
sig

(* pp00s nhf, v1.0 -- 2000. febr. 5. Hanak Peter *)

    (* cikcakk_in f = Az f szoveges allomanyban leirt maximalis mezoertek es feladvanymatrix; 
         unix alatt cikcakk_in("/dev/stdin"), MS-DOS alatt cikcakk_in("con")
         a billentyuzetrol olvassa be a feladvanymatrixot.
    *)
    val cikcakk_in : string -> (int * TCikcakk.field TCikcakk.matrix)

    (* cikcakk_out(m, fss, mss) = Az mss megoldasmatrix altal lefedett fss
           feladvanymatrixot kiirja az m szoveges allomanyba;
         unix alatt cikcakk_out("/dev/stdout", fss, mss), MS-DOS alatt
         cikcakk_out("con", fss, mss) a kepernyore irja ki a megoldasmatrixot.
    *)
    val cikcakk_out : string * TCikcakk.field TCikcakk.matrix * 
                               TCikcakk.dir TCikcakk.matrix -> unit

    (* solve(f, m) = beolvas egy feladvanyt az f szoveges allomanybol, amelynek
                     elso soraban a maximalis mezoertek van, es kiirja
                     az osszes megoldast az m szoveges allomanyba; ehhez termeszetesen
                     szuksege van a Cikcakk.cikcakk fuggvenyre;
		     "eredmenye" a feladvanytabla nevet, a megoldastabla
		     meretet es a futasi idot mp-ben tartalmazo fuzer
    *)
    val solve : string * string -> string
end
